<template>
  <span>
    <a :href="google" target="_blank">Google Maps</a>
    <span v-if="isIOS"
      >or
      <a :href="apple" target="_blank">Apple Maps</a>
    </span>
  </span>
</template>
<script>
export default {
  props: ["location"],
  data() {
    return {
      isIOS: false,
    };
  },
  mounted() {
    this.isIOS = navigator.userAgent.match(/AppleWebKit/i);
  },
  computed: {
    encodedLat() {
      return encodeURIComponent(this.location.lat);
    },
    encodedLng() {
      return encodeURIComponent(this.location.lng);
    },
    google() {
      return `https://www.google.com/maps/dir/?api=1&destination=${this.encodedLat},${this.encodedLng}`;
    },
    apple() {
      return `http://maps.apple.com/?daddr=${this.encodedLat},${this.encodedLng}`;
    },
  },
  methods: {},
};
</script>
